#
# spec file for package perl-Module-Find
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Module-Find
Name:           perl-Module-Find
Version:        0.170.0
Release:        1.1
# 0.17 -> normalize -> 0.170.0
%define cpan_version 0.17
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Find and use installed modules in a (sub)category
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CR/CRENZ/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Module::Find) = %{version}
%undefine       __perllib_provides
Recommends:     perl(Test::Pod) >= 1.14
Recommends:     perl(Test::Pod::Coverage) >= 1.04
%{perl_requires}

%description
Module::Find lets you find and use modules in categories. This can be very
useful for auto-detecting driver or plugin modules. You can differentiate
between looking in the category itself or in all subcategories.

If you want Module::Find to search in a certain directory on your harddisk
(such as the plugins directory of your software installation), make sure
you modify '@INC' before you call the Module::Find functions.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples MANIFEST.skip README

%changelog
* Mon Feb 17 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.170.0 (0.17)
  see /usr/share/doc/packages/perl-Module-Find/Changes
* Tue Aug  2 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.16
  see /usr/share/doc/packages/perl-Module-Find/Changes
* Thu Dec 26 2019 <timueller+perl@suse.de>
- updated to 0.15
  see /usr/share/doc/packages/perl-Module-Find/Changes
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Module-Find/Changes
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.12
  Fixed RT#81077: useall fails in taint mode
  Thanks to Aran Deltac, who contributed the implementation and test.
  Fixed RT#83596: Documentation doesn't describe behaviour if a module fails to load
  Clarified documentation for useall and usesub.
  Fixed RT#62923: setmoduledirs(undef) doesn't reset to searching @INC
  Added more explicit tests.
  Thanks to Colin Robertson for his input.
* Wed May 23 2012 coolo@suse.com
- updated to 0.11
  Fixed RT#74251: defined(@array) is deprecated under Perl 5.15.7.
* Wed Jan 11 2012 coolo@suse.com
- update to 0.10
  Fixed RT#38302: Module::Find now follows symlinks by default (can be disabled).
  Fixed RT#49511: Removed Mac OS X extended attributes from distribution
  Fixed RT#38302: Fixed META.yml generation (thanks very much to cpanservice for the help).
  Fixed RT#55010: Removed Unicode BOM from Find.pm.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sun Oct 26 2008 gerrit.beine@gmx.de
- first release 0.06
